Subject: bug#2643: closed (Re: bug#2643: 23.0.91; request for enhancement?)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Mar 2012 19:37:02 +0000

Your bug report

#2643: Handle .oxt files like zip files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2643: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2643
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2643: 23.0.91; request for enhancement?
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 27 Mar 2012 15:04:38 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 23.1

2009-03-13  Stefan Monnier  <monnier at iro.umontreal.ca>

   * files.el (auto-mode-alist): Add rules for OpenOffice extension packages

Subject: 23.0.91; request for enhancement?
From: Peter Dyballa <[email-masked]>
To: [email-masked]
Date: Thu, 12 Mar 2009 00:54:45 +0100

Hello!

OpenOffice can load extension files with the file name  
extension .oxt, which are PKzip files, starting with PK^C^D. Dired- 
mode's y tells:

	FileName.oxt: Zip archive data, at least v2.0 to extract

When I try to view it with v from dired-mode, GNU Emacs displays  
mostly binary data. "Auto-Compression minor mode (no indicator)" is  
reported to be on, though. Hard-linking it to file.zip allows me to  
do all the things an archive-mode buffer allows. It also works with a  
hard-link file.oxt.zip.

In GNU Emacs 23.0.91.1 (powerpc-apple-darwin8.11.0, GTK+ Version 2.14.7)
  of 2009-02-28 on localhost
Windowing system distributor `The XFree86 Project, Inc', version  
11.0.40400000
configured using `configure  '--without-sound' '--without-pop' '-- 
with-dbus' '--with-libotf' '--x-includes=/opt/local/include' '--x- 
libraries=/opt/local/lib' '--enable-locallisppath=/Library/ 
Application Support/Emacs/calendar23:/Library/Application Support/ 
Emacs' 'PKG_CONFIG_PATH=/opt/local/lib/pkgconfig:/usr/local/lib/ 
pkgconfig:/usr/lib/pkgconfig' 'CFLAGS=-Wno-pointer-sign -H -pipe - 
fPIC -mcpu=7450 -mtune=7450 -fast -mpim-altivec -ftree-vectorize - 
foptimize-register-move -freorder-blocks -freorder-blocks-and- 
partition -fthread-jumps -fpeephole -fno-crossjumping' 'LDFLAGS=- 
dead_strip -multiply_defined suppress -L/opt/local/lib' 'CPPFLAGS=-no- 
cpp-precomp -I/usr/include/openssl -I/sw/include/pango-1.0 -I/sw/lib/ 
fontconfig2/include -I/usr/local/include -I/sw/include''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: de_DE.UTF-8
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Dired by date

Minor modes in effect:
   show-paren-mode: t
   display-time-mode: t
   tooltip-mode: t
   tool-bar-mode: t
   mouse-wheel-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

--
Mit friedvollen Grüßen

   Pete

Windows, c'est un peu comme le beaujolais nouveau: à chaque nouvelle  
cuvée on sait que ce sera dégueulasse, mais on en prend quand même,  
par masochisme.